Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class AbstractWSDLPlugin

    java.lang.Object
      org.apache.cxf.wsdl.AbstractWSDLPlugin

All Implemented Interfaces:
  WSDLExtensibilityPlugin

    public abstract class AbstractWSDLPlugin

extends java.lang.Object
implements WSDLExtensibilityPlugin

Field Summary
`protected javax.wsdl.extensions.ExtensionRegistry` | `registry`

Constructor Summary
`AbstractWSDLPlugin()`

Method Summary
`javax.wsdl.extensions.ExtensionRegistry` | `getExtenstionRegistry()`
`
`<T> T`
` | `getOption(java.util.Map<java.lang.String,java.lang.Object> args, java.lang.Class<T> clz)`
`java.lang.String` | `getOption(java.util.Map<java.lang.String,java.lang.Object> args, java.lang.String key)`
`
`<T> T`
` | `getOption(java.util.Map<java.lang.String,java.lang.Object> args, java.lang.String key, java.lang.Class<T> clz)`
`java.lang.String` | `getOption(java.util.Map<java.lang.String,java.lang.Object> args, java.lang.String key, java.lang.String defaultValue)`
`boolean` | `optionSet(java.util.Map<java.lang.String,java.lang.Object> args, java.lang.String key)`
`void` | `setExtensionRegistry(javax.wsdl.extensions.ExtensionRegistry r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cxf.wsdl.WSDLExtensibilityPlugin
`createExtension`

Field Detail

### registry

    protected javax.wsdl.extensions.ExtensionRegistry registry

Constructor Detail

### AbstractWSDLPlugin

    public AbstractWSDLPlugin()

Method Detail

### setExtensionRegistry

    public void setExtensionRegistry(javax.wsdl.extensions.ExtensionRegistry r)

  Specified by:
    `setExtensionRegistry` in interface `WSDLExtensibilityPlugin`

### getExtenstionRegistry

    public javax.wsdl.extensions.ExtensionRegistry getExtenstionRegistry()

### optionSet

    public boolean optionSet(java.util.Map<java.lang.String,java.lang.Object> args,
                             java.lang.String key)

### getOption

    public java.lang.String getOption(java.util.Map<java.lang.String,java.lang.Object> args,
                                      java.lang.String key)

### getOption

    public <T> T getOption(java.util.Map<java.lang.String,java.lang.Object> args,
                           java.lang.String key,
                           java.lang.Class<T> clz)

### getOption

    public <T> T getOption(java.util.Map<java.lang.String,java.lang.Object> args,
                           java.lang.Class<T> clz)

### getOption

    public java.lang.String getOption(java.util.Map<java.lang.String,java.lang.Object> args,
                                      java.lang.String key,
                                      java.lang.String defaultValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF